@font-face {
    font-family: "Lolita Latin";
    src: url("font/loli_latin.woff2") format("woff2");
    unicode-range: U+0000-00FF,U+0100-024F,U+2000-206F,U+20A0-20CF;
    font-display: swap;
}

@font-face {
    font-family: "Lolita CJK Shared";
    src: url("font/loli_shared.woff2") format("woff2");
    unicode-range: U+4E00-9FFF,U+3400-4DBF,U+F900-FAFF;
    font-display: swap;
}

@font-face {
    font-family: "Lolita SC";
    src: url("font/loli_zh.woff2") format("woff2");
    unicode-range: U+4E00-9FFF;
    font-display: swap;
}

@font-face {
    font-family: "Lolita TC";
    src: url("font/loli_tw.woff2") format("woff2");
    unicode-range: U+4E00-9FFF;
    font-display: swap;
}

@font-face {
    font-family: "Lolita JA";
    src: url("font/loli_ja.woff2") format("woff2");
    unicode-range: U+3040-309F,U+30A0-30FF,U+31F0-31FF,U+FF66-FF9F,U+4E00-9FFF;
    font-display: swap;
}

:root {
    font-family:
        "Lolita Latin",
        "Lolita CJK Shared",
        "Lolita SC",
        "Lolita JA",
        "Lolita TC",
        system-ui,
        sans-serif;
}

/* 1. 拉丁字母/西文 */
@font-face {
    font-family: "Shizuyuki WenKai";
    src: url("font/LXGW_latin.woff2") format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
    font-display: swap;
}

/* 2. CJK 共享符号/标点 */
@font-face {
    font-family: "Shizuyuki WenKai";
    src: url("font/LXGW_shared.woff2") format("woff2");
    unicode-range: U+2E80-2EFF, U+3000-303F, U+31C0-31EF, U+3200-32FF, U+3300-33FF, U+3400-4DBF, U+4E00-9FFF, U+F900-FAFF, U+FE30-FE4F, U+FF00-FFEF;
    font-display: swap;
}

/* 3. 简体中文 */
@font-face {
    font-family: "Shizuyuki WenKai";
    src: url("font/LXGW_zh.woff2") format("woff2");
    unicode-range: U+4E00-9FFF;
    /* 常用简中区域 */
    font-display: swap;
}

/* 5. 日语特有 (平假名、片假名) */
@font-face {
    font-family: "Shizuyuki WenKai";
    src: url("font/LXGW_ja.woff2") format("woff2");
    unicode-range: U+3040-309F, U+30A0-30FF, U+31F0-31FF, U+FF66-FF9F;
    font-display: swap;
}

/* 定义 CSS 变量以便全局调用 */
:root {
    --font-post: "Shizuyuki WenKai", system-ui, -apple-system, sans-serif;
}